// Function to get URL parameter from the current script's URL
function allcurrencycryptogateway_getScriptParameter(name) {
    let allcurrencycryptogateway_scripts = document.getElementsByTagName('script');
    for (let allcurrencycryptogateway_script of allcurrencycryptogateway_scripts) {
        if (allcurrencycryptogateway_script.src.includes('allcurrencycryptogateway-payment-status-check.js')) {
            let allcurrencycryptogateway_params = new URL(allcurrencycryptogateway_script.src).searchParams;
            return allcurrencycryptogateway_params.get(name);
        }
    }
    return null;
}

jQuery(document).ready(function($) {
    function allcurrencycryptogateway_payment_status() {
        let allcurrencycryptogateway_order_id = allcurrencycryptogateway_getScriptParameter('order_id');
        let allcurrencycryptogateway_nonce = allcurrencycryptogateway_getScriptParameter('nonce');
        let allcurrencycryptogateway_tickerstring = allcurrencycryptogateway_getScriptParameter('tickerstring');

        $.ajax({
            url: '/wp-json/allcurrencycryptogateway/v1/allcurrencycryptogateway-check-order-status-' + allcurrencycryptogateway_tickerstring + '/',
            method: 'GET',
            data: {
                order_id: allcurrencycryptogateway_order_id,
                nonce: allcurrencycryptogateway_nonce
            },
            success: function(response) {
                if (response.status === 'processing' || response.status === 'completed') {
                    $('#allcurrencygateway-payment-status-message').text('Payment received')
                        .removeClass('allcurrencycryptogateway-unpaid')
                        .addClass('allcurrencycryptogateway-paid');
                    $('#allcurrencycryptogateway-wrapper').remove();
                } else if (response.status === 'failed') {
                    $('#allcurrencygateway-payment-status-message').text('Payment failed, you may have sent incorrect amount or token. Contact support')
                        .removeClass('allcurrencycryptogateway-unpaid')
                        .addClass('allcurrencycryptogateway-failed');
                    $('#allcurrencycryptogateway-wrapper').remove();
                } else {
                    $('#allcurrencygateway-payment-status-message').text('Waiting for payment');
                }
            },
            error: function() {
                $('#allcurrencygateway-payment-status-message').text('Error checking payment status. Please refresh the page.');
            }
        });
    }

    setInterval(allcurrencycryptogateway_payment_status, 60000);
});
